var c = Object.defineProperty;
var m = (t, e, r) => e in t ? c(t, e, { enumerable: !0, configurable: !0, writable: !0, value: r }) : t[e] = r;
var o = (t, e, r) => m(t, typeof e != "symbol" ? e + "" : e, r);
var u = /* @__PURE__ */ ((t) => (t.PRIVATE = "WALLET", t.VASP = "VASP", t))(u || {}), E = /* @__PURE__ */ ((t) => (t.NATURAL = "natural", t.LEGAL = "legal", t.SELF = "self", t))(E || {}), f = /* @__PURE__ */ ((t) => (t.EMPTY = "empty", t.VERIFY = "verify", t.PENDING = "pending", t.VERIFIED = "verified", t.BANNED = "banned", t))(f || {}), p = /* @__PURE__ */ ((t) => (t.ALLOWED = "allowed", t.PENDING = "pending", t))(p || {}), v = /* @__PURE__ */ ((t) => (t.ASSET = "asset", t.DESTINATION = "destination", t.COUNTERPARTY = "counterparty", t.AGENT = "agent", t))(v || {}), h = /* @__PURE__ */ ((t) => (t.COMPLETE = "complete", t.RESIZE = "resize", t.RESULT = "result", t.INVALID = "invalid", t.ERROR = "error", t.CANCEL = "cancel", t))(h || {}), d = /* @__PURE__ */ ((t) => (t.UPDATE = "update", t.REQUEST_RESPONSE = "requestResponse", t))(d || {}), g = /* @__PURE__ */ ((t) => (t.PENDING = "pending", t.FAILED = "rejected", t.FLAGGED = "flagged", t.VERIFIED = "verified", t))(g || {}), w = /* @__PURE__ */ ((t) => (t.SelfDeclaration = "self-declaration", t.SIWE = "siwe", t.SIWX = "siwx", t.EIP191 = "eip-191", t.EIP712 = "eip-712", t.EIP1271 = "eip-1271", t.BIP137 = "bip-137", t.BIP137_XPUB = "xpub", t.ED25519 = "ed25519", t.MicroTransfer = "microtransfer", t.Screenshot = "screenshot", t.Connect = "connect", t))(w || {});
class I {
  constructor() {
    o(this, "listeners", /* @__PURE__ */ new Map());
    o(this, "port");
    this.handleMessage = this.handleMessage.bind(this);
  }
  /**
   * Sets up the message port for communication.
   *
   * Initializes the MessagePort for receiving messages by setting up the message handler
   * and starting the port.
   *
   * @param port - The MessagePort instance to use for communication
   */
  setPort(e) {
    this.port = e, this.port.onmessage = this.handleMessage, this.port.start();
  }
  /**
     * Registers a callback for a specific message type.
     *
     * When messages of the specified type are received, the callback will be executed
     * with the message data.
     *
     * @param messageType - The type of message to listen for
     * @param callback - The callback function to execute when matching messages are received
  
     */
  on(e, r) {
    return this.listeners.has(e) || this.listeners.set(e, /* @__PURE__ */ new Set()), this.listeners.get(e).add(r), () => this.off(e, r);
  }
  /**
   * Removes a callback for a specific message type.
   *
   * If the callback is the last one registered for the message type,
   * the message type entry will be removed entirely.
   *
   * @param messageType - The type of message to remove listener from
   * @param callback - The callback function to remove
   */
  off(e, r) {
    const i = this.listeners.get(e);
    i && (i.delete(r), i.size === 0 && this.listeners.delete(e));
  }
  /**
   * Internal message handler for processing received messages.
   *
   * Validates incoming messages and dispatches them to registered callbacks
   * based on the message type.
   *
   * @param event - The message event containing the component message
   */
  handleMessage(e) {
    const r = e.data;
    if (typeof r == "object" && r !== null && "type" in r) {
      const i = r.type, s = this.listeners.get(i);
      s && s.forEach((n) => n(r));
    }
  }
  /**
   * Sends a message through the message port
   * @param message The host message to send
   */
  send(e) {
    this.port && this.port.postMessage(e);
  }
}
class C {
  /**
   * Creates an instance of EmbeddedComponent.
   * @param url - The URL of the embedded component
   * @param value - The initial transaction value
   */
  constructor(e, r, i) {
    o(this, "_url");
    o(this, "_value");
    o(this, "_options");
    o(this, "_errors", []);
    o(this, "iframe");
    o(this, "eventManager");
    o(this, "modal");
    this._url = e, this._value = r, this._options = i, this.eventManager = new I(), this.on(h.INVALID, (s) => {
      s.type === h.INVALID && (this._errors = s.errors, this._value = s.value);
    }), this.on(h.RESIZE, (s) => {
      s.type === h.RESIZE && this.iframe && (this.iframe.style.height = `${s.height}px`);
    });
  }
  /**
   * Gets the URL of the embedded component
   * @returns The URL of the embedded component
   */
  get url() {
    return this._url;
  }
  /**
   * Gets the current transaction value
   * @returns The current transaction value
   */
  get value() {
    return this._value;
  }
  get options() {
    return this._options;
  }
  get errors() {
    return this._errors;
  }
  /**
   * Opens the component URL in the current window
   */
  open() {
    document.location.href = this.url;
  }
  /**
   * Mounts the component to a parent element
   * @param parentId - The ID of the parent element
   * @throws Will throw an error if the parent element is not found
   */
  mount(e) {
    const r = document.querySelector(e);
    if (!r) throw new Error(`parentID ${e} not found`);
    this.embed(r);
  }
  /**
   * Embeds the component into a parent element
   * @param parent - The parent element to embed the component into
   */
  embed(e, r = !1) {
    var i, s;
    this.removeEmbed(), this.iframe = document.createElement("iframe"), this.iframe.src = this.url + (r ? "" : "&embedded=true"), this.iframe.allow = "web-share; clipboard-write; hid; bluetooth;", this.iframe.style.width = "100%", this.iframe.style.height = "0px", this.iframe.style.border = "none", this.iframe.style.overflow = "hidden", this.iframe.scrolling = "no", e.appendChild(this.iframe), window.addEventListener("message", (n) => {
      var a, l;
      n.source === ((a = this.iframe) == null ? void 0 : a.contentWindow) && ((l = this.eventManager) == null || l.setPort(n.ports[0]));
    }), (s = (i = this.iframe) == null ? void 0 : i.contentWindow) == null || s.focus();
  }
  removeEmbed() {
    this.iframe && this.iframe.remove();
  }
  /**
   * Sends a message to the embedded component
   * @param message - The message to send
   */
  send(e) {
    this.eventManager.send(e);
  }
  /**
   * Adds an event listener for a specific message type
   * @param messageType - The type of message to listen for
   * @param callback - The callback function to execute when the message is received
   */
  on(e, r) {
    return this.eventManager.on(e, r);
  }
  /**
   * Removes an event listener for a specific message type
   * @param messageType - The type of message to stop listening for
   * @param callback - The callback function to remove
   */
  off(e, r) {
    this.eventManager.off(e, r);
  }
  /**
   * Updates the transaction value and sends an update message to the component
   * @param value - The new transaction value
   */
  update(e, r) {
    this._value = e, r && (this._options = r), this.send({ type: d.UPDATE, value: e, options: this._options });
  }
  /**
   * Waits for the component to complete and returns the transaction response
   * @returns A promise that resolves with the transaction response
   */
  completion() {
    return new Promise((e, r) => {
      let i, s, n;
      function a() {
        i && i(), s && s(), n && n();
      }
      i = this.on(h.COMPLETE, (l) => {
        e(l.response), a();
      }), s = this.on(h.CANCEL, () => {
        r(new Error("User cancelled")), a();
      }), n = this.on("error", (l) => {
        r(new Error(l.message)), a();
      });
    });
  }
  /**
   * Opens the component in a modal dialog
   */
  async openModal() {
    this.modal && this.closeModal(), this.modal = document.createElement("dialog"), this.modal.style.border = "none", this.modal.style.backgroundColor = "white", this.modal.style.maxWidth = "100vw", this.modal.style.maxHeight = "100vh", this.modal.style.width = "600px", this.modal.style.height = "600px", document.body.appendChild(this.modal), this.embed(this.modal, !0);
    const e = this.on(h.CANCEL, () => {
      this.closeModal();
    }), r = this.on(h.COMPLETE, () => {
      this.closeModal();
    });
    return this.modal.showModal(), this.modal.addEventListener("click", () => {
      this.closeModal();
    }), this.completion().finally(() => {
      e(), r();
    });
  }
  /**
   * Closes the modal dialog
   *
   */
  closeModal() {
    var e;
    this.modal && ((e = this.modal) == null || e.close(), this.modal.remove(), this.modal = void 0);
  }
  /**
   * Opens the component in a popup window. This may be needed to support many self-hosted wallets
   * @returns A promise that resolves with the transaction response
   * @see [MDN](https://developer.mozilla.org/en-US/docs/Web/API/Window/open#restrictions)
   * @see [Cross-Origin-Opener-Policy](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Cross-Origin-Opener-Policy)
   */
  async popup() {
    const e = window.open(
      this.url,
      "_blank",
      "popup=true,width=600,height=600"
    );
    window.addEventListener("message", (s) => {
      var n;
      s.source === e && (console.log("received message from popup", s.data), (n = this.eventManager) == null || n.setPort(s.ports[0]));
    });
    const r = this.on(h.CANCEL, () => {
      e == null || e.close();
    }), i = this.on(h.COMPLETE, () => {
      e == null || e.close();
    });
    return this.completion().finally(() => {
      r(), i();
    });
  }
}
function U(t) {
  return Object.entries(t).map(([e, r]) => {
    if (r == null) return;
    const i = encodeURIComponent(e), s = encodeURIComponent(
      typeof r == "object" ? JSON.stringify(r) : String(r)
      // Use String() to handle all primitive types
    );
    return `${i}=${s}`;
  }).filter((e) => e !== void 0).join("&");
}
function b(t) {
  const e = t.slice(1);
  return e ? e.split("&").filter(Boolean).reduce(
    (i, s) => {
      const [n, a] = s.split("=");
      return n && (i[decodeURIComponent(n)] = a ? decodeURIComponent(a) : ""), i;
    },
    {}
  ) : {};
}
class N {
  /**
   * Creates a new instance of the Notabene SDK
   *
   * @param config - Configuration options for the Notabene SDK
   */
  constructor(e) {
    o(this, "nodeUrl");
    o(this, "authToken");
    o(this, "uxUrl");
    o(this, "theme");
    o(this, "locale");
    this.uxUrl = e.uxUrl || "https://connect.notabene.id", this.nodeUrl = e.nodeUrl, this.authToken = e.authToken, this.theme = e.theme, this.locale = e.locale;
  }
  /**
   * Generates a URL for a Notabene component
   *
   * @param path - The path of the component
   * @param value - Transaction data
   * @param configuration - Optional transaction configuration
   * @param callbacks - Optional callback configuration
   * @returns component URL
   * @internal
   */
  componentUrl(e, r, i, s) {
    const n = new URL(this.uxUrl);
    n.pathname = e;
    const a = U({
      authToken: this.authToken,
      value: r,
      configuration: i
    });
    return n.hash = a, this.nodeUrl && n.searchParams.set("nodeUrl", this.nodeUrl), this.theme && n.searchParams.set("theme", JSON.stringify(this.theme)), this.locale && n.searchParams.set("locale", this.locale), s && (s.callback && n.searchParams.set("callback_url", s.callback), s.redirectUri && n.searchParams.set("redirect_uri", s.redirectUri)), n.toString();
  }
  /**
   * Creates a new embedded component
   *
   * @param path - The path of the component
   * @param value - Transaction data
   * @param options - Optional transaction options
   * @param callbacks - Optional callback configuration
   * @returns A new EmbeddedComponent instance
   * @internal
   */
  createComponent(e, r, i, s) {
    return new C(
      this.componentUrl(e, r, i, s),
      r,
      i
    );
  }
  /**
   * Creates a withdrawal assist component
   *
   * @param value - Withdrawal transaction data
   * @param options - Optional transaction options
   * @param callbacks - Optional callback configuration
   * @returns A new EmbeddedComponent instance for withdrawal assistance
   */
  createWithdrawalAssist(e, r, i) {
    return this.createComponent(
      "withdrawal-assist",
      e,
      r,
      i
    );
  }
  /**
   * Creates a connect component
   *
   * @param value - Connection request data
   * @param options - Optional transaction options
   * @param callbacks - Optional callback configuration
   * @returns A new EmbeddedComponent instance for connection
   * @alpha
   */
  createConnectWallet(e, r, i) {
    return this.createComponent(
      "connect",
      e,
      r,
      i
    );
  }
  /**
   * Creates a deposit request component
   *
   * @param value - Deposit request data
   * @param options - Optional transaction options
   * @param callbacks - Optional callback configuration
   * @returns A new EmbeddedComponent instance for deposit requests
   * @public
   */
  createDepositRequest(e, r, i) {
    return this.createComponent(
      "deposit-request",
      e,
      r,
      i
    );
  }
}
export {
  u as AgentType,
  h as CMType,
  C as EmbeddedComponent,
  d as HMType,
  E as PersonType,
  g as ProofStatus,
  w as ProofTypes,
  f as Status,
  p as VASPSearchControl,
  v as ValidationSections,
  b as decodeFragmentToObject,
  N as default
};
