[**@notabene/javascript-sdk**](../../README.md) • **Docs**

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / Counterparty

# Interface: Counterparty

Interface representing a party involved in a transaction other than the initiator

## Remarks

fines the core properties that identify and describe a counterparty:
- name: The display or legal name of the counterparty
- accountNumber: An account identifier/reference number
- did: Decentralized identifier for the counterparty
- type: Classification as natural person, legal entity, or self
- verified: Whether the counterparty's identity has been verified
- geographicAddress: Physical/mailing address information
- nationalIdentification: Government-issued ID details
- website: Official web presence
- phone: Contact phone number
- email: Contact email address

This interface serves as the base for more specific counterparty types:

## See

 - [NaturalPerson](NaturalPerson.md) For individual person properties
 - [LegalPerson](LegalPerson.md) For organization/entity properties

## Extended by

- [`NaturalPerson`](NaturalPerson.md)
- [`LegalPerson`](LegalPerson.md)

## Properties

### accountNumber?

> `optional` **accountNumber**: `string`

#### Defined in

[types.ts:341](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/e726d89bf77c8ab57b82ac5a02356ef19031620e/src/types.ts#L341)

***

### did?

> `optional` **did**: \`did:$\{string\}:$\{string\}\`

#### Defined in

[types.ts:342](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/e726d89bf77c8ab57b82ac5a02356ef19031620e/src/types.ts#L342)

***

### email?

> `optional` **email**: `string`

#### Defined in

[types.ts:349](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/e726d89bf77c8ab57b82ac5a02356ef19031620e/src/types.ts#L349)

***

### geographicAddress?

> `optional` **geographicAddress**: [`Address`](../../ivms/types/type-aliases/Address.md)

#### Defined in

[types.ts:345](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/e726d89bf77c8ab57b82ac5a02356ef19031620e/src/types.ts#L345)

***

### name?

> `optional` **name**: `string`

#### Defined in

[types.ts:340](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/e726d89bf77c8ab57b82ac5a02356ef19031620e/src/types.ts#L340)

***

### nationalIdentification?

> `optional` **nationalIdentification**: [`NationalIdentification`](../../ivms/types/type-aliases/NationalIdentification.md)

#### Defined in

[types.ts:346](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/e726d89bf77c8ab57b82ac5a02356ef19031620e/src/types.ts#L346)

***

### phone?

> `optional` **phone**: `string`

#### Defined in

[types.ts:348](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/e726d89bf77c8ab57b82ac5a02356ef19031620e/src/types.ts#L348)

***

### type?

> `optional` **type**: [`PersonType`](../enumerations/PersonType.md)

#### Defined in

[types.ts:343](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/e726d89bf77c8ab57b82ac5a02356ef19031620e/src/types.ts#L343)

***

### verified?

> `optional` **verified**: `boolean`

#### Defined in

[types.ts:344](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/e726d89bf77c8ab57b82ac5a02356ef19031620e/src/types.ts#L344)

***

### website?

> `optional` **website**: `string`

#### Defined in

[types.ts:347](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/e726d89bf77c8ab57b82ac5a02356ef19031620e/src/types.ts#L347)
